## org.mortbay.io
Class BufferDateCache

    java.lang.Object
      org.mortbay.util.DateCache
          org.mortbay.io.BufferDateCache

    public class BufferDateCache

extends DateCache

Constructor Summary
`BufferDateCache()`
`BufferDateCache(String format)`
`BufferDateCache(String format, DateFormatSymbols s)`
`BufferDateCache(String format, Locale l)`

Method Summary
`Buffer` `formatBuffer(long date)`

Methods inherited from class org.mortbay.util.DateCache
`format, format, format, getFormat, getFormatString, getTimeZone, lastMs, now, setTimeZone, setTimeZoneID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferDateCache

    public BufferDateCache()

### BufferDateCache

    public BufferDateCache(String format,
                           DateFormatSymbols s)

### BufferDateCache

    public BufferDateCache(String format,
                           Locale l)

### BufferDateCache

    public BufferDateCache(String format)

Method Detail

### formatBuffer

    public Buffer formatBuffer(long date)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.